// Joao Pedro

#include <stdio.h>
#include <stdlib.h>

int maiores(int n, int *vet, int x)
{
    int i,cont;
    cont=0;
    for(i=0; i<n; i++)
    {
        if(vet[i]>x)
        {
            cont=cont+1;
        }

    }
    return cont;

}
int main()
{
    int size;
    int i,num, result;
    result=0;

    printf("\nDigite o tamanho do vetor:");
    scanf("%d", &size);
    int vet[size];

    for (i=0; i<size; i++)
    {
        printf("\nDigite um valor para vet[%d]:", i);
        scanf("\n%d", &vet[i]);
    }
    printf("\nOs valores digitados foram: ");
    for(i=0; i<size; i++)
    {
        printf(" %d ", vet[i]);
    }
    printf("\nDigite um numero para saber quantos numeros maiores que esse existem nesse vetor:");
    scanf("%d",&num);
    result=maiores(size,vet,num);
    printf("\n Existem %d numeros maiores que %d dentro desse vetor", result, num);
}
